<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<form
  [formGroup]="protocolForm"
  class="col-6 ls-form"
  novalidate>
  <div class="form-group required">
    <label
      [innerText]="messages.PROTOCOL_LABEL"
      for="protocolInput">
    </label>
    <ng-select
      (change)="onChange()"
      [(ngModel)]="type.protocol"
      [clearable]="false"
      [multiple]="false"
      [notFoundText]="commonMessages.NOT_FOUND"
      class="input-group ls-select"
      formControlName="protocolInput"
      id="protocolInput"
      selectOnTab>
      <ng-option
        *ngFor="let item of availableProtocols"
        [value]="item"
        [innerText]="item | signatureProtocolName">
      </ng-option>
    </ng-select>
  </div>

  <div class="form-group required">
    <label
      [innerText]="messages.SIGNING_FORMAT_LABEL"
      for="popupSigningFormatInput">
    </label>
    <ng-select
      (change)="onChange()"
      [(ngModel)]="type.signatureFormat"
      [clearable]="false"
      [multiple]="false"
      [notFoundText]="commonMessages.NOT_FOUND"
      class="input-group ls-select"
      formControlName="signingFormatInput"
      id="popupSigningFormatInput"
      selectOnTab>
      <ng-option
        *ngFor="let item of availableSigningFormats"
        [value]="item"
        [innerText]="item | signingFormatName">
      </ng-option>
    </ng-select>
  </div>

  <div [hidden]="!showLocationFieldset">
    <div class="form-group">
      <label
        [innerText]="messages.CITY_LABEL"
        for="signatureLocationInput">
      </label>
      <input
        (ngModelChange)="onChange()"
        [(ngModel)]="type.signatureLocation"
        class="form-control"
        formControlName="signatureLocationInput"
        id="signatureLocationInput"
        type="text">
    </div>

    <div
      [hidden]="!showZipCodeField" class="form-group"
      [ngClass]="{'required': isZipCodeMandatory}">
      <label
        [innerText]="messages.ZIP_CODE_LABEL"
        for="signatureZipCodeInput">
      </label>
      <input
        (ngModelChange)="onChange()"
        [(ngModel)]="type.signatureZipCode"
        [placeholder]="tenant.zipCode"
        maxLength="5"
        class="form-control col-3"
        formControlName="signatureZipCodeInput"
        id="signatureZipCodeInput"
        type="text">
    </div>
  </div>

</form>
